Upgrade the Elasticsearch mapping template

Starting with Beats 6.0, the mapping templates and the default index names are versioned. For example, Metricbeat 6.0.0 creates indices like this:

metricbeat-6.0.0-2017-08-31

And the corresponding Elasticsearch template is named metricbeat-6.0.0.

This means that each version of the Beat creates a new index, and it is guaranteed that the correct template for that version is applied. With these changes in place, you generally don’t have to do anything to upgrade the mapping template when you move to a new version.

One exception is when upgrading from 5.x, in which case you should make sure to read the Upgrade to 5.6 section.